#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

%define		atkmm_ver	2.24.2
%define		glibmm_ver	2.50.0
%define		gtk3_ver	3.22.0
%define		pangomm_ver	2.38.2
Summary:	A C++ interface for the GTK+ (a GUI library for X)
Summary(pl.UTF-8):	Wrapper C++ dla GTK+
Name:		gtkmm3
Version:	3.22.1
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtkmm/3.22/gtkmm-%{version}.tar.xz
# Source0-md5:	183079917fbe78e5aef204d5e52eafc1
URL:		http://www.gtkmm.org/
BuildRequires:	atkmm-devel >= %{atkmm_ver}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairomm-devel >= 1.12.0
BuildRequires:	gdk-pixbuf2-devel >= 2.36.0
BuildRequires:	glibmm-devel >= %{glibmm_ver}
BuildRequires:	gtk+3-devel >= %{gtk3_ver}
BuildRequires:	libepoxy-devel >= 1.2
BuildRequires:	libsigc++-devel
BuildRequires:	libstdc++-devel >= 6:4.6
BuildRequires:	libtool >= 2:2.0
BuildRequires:	mm-common >= 0.9.10
BuildRequires:	pangomm-devel >= %{pangomm_ver}
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	atkmm >= %{atkmm_ver}
Requires:	cairomm >= 1.12.0
Requires:	gdk-pixbuf2 >= 2.36.0
Requires:	glibmm >= %{glibmm_ver}
Requires:	gtk+3 >= %{gtk3_ver}
Requires:	pangomm >= %{pangomm_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library. The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented
framework. Features include type safe callbacks, widgets that are
extensible using inheritance and over 110 classes that can be freely
combined to quickly create complex user interfaces.

%description -l pl.UTF-8
gtkmm jest wrapperem C++ dla Gimp ToolKit (GTK). GTK+ jest biblioteką
służącą do tworzenia graficznych interfejsów. W pakiecie znajduje się
także biblioteka gdkmm - wrapper C++ dla GDK (General Drawing Kit).

%package devel
Summary:	gtkmm and gdkmm header files
Summary(pl.UTF-8):	Pliki nagłówkowe gtkmm i gdkmm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	atkmm-devel >= %{atkmm_ver}
Requires:	cairomm-devel >= 1.12.0
Requires:	gdk-pixbuf2-devel >= 2.36.0
Requires:	glibmm-devel >= %{glibmm_ver}
Requires:	gtk+3-devel >= %{gtk3_ver}
Requires:	libstdc++-devel >= 6:4.6
Requires:	pangomm-devel >= %{pangomm_ver}

%description devel
Header files for gtkmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gtkmm.

%package static
Summary:	gtkmm and gdkmm static libraries
Summary(pl.UTF-8):	Biblioteki statyczne gtkmm i gdkmm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gtkmm and gdkmm static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gtkmm i gdkmm.

%package apidocs
Summary:	Reference documentation for gtkmm and gdkmm
Summary(pl.UTF-8):	Szczegółowa dokumentacja gtkmm i gdkmm
Group:		Documentation
Requires:	devhelp
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Reference documentation for gtkmm and gdkmm.

%description apidocs -l pl.UTF-8
Szczegółowa dokumentacja gtkmm i gdkmm.

%prep
%setup -q -n gtkmm-%{version}

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS PORTING README
%attr(755,root,root) %{_libdir}/libgdkmm-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdkmm-3.0.so.1
%attr(755,root,root) %{_libdir}/libgtkmm-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkmm-3.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdkmm-3.0.so
%attr(755,root,root) %{_libdir}/libgtkmm-3.0.so
%{_libdir}/gdkmm-3.0
%{_libdir}/gtkmm-3.0
%{_includedir}/gdkmm-3.0
%{_includedir}/gtkmm-3.0
%{_pkgconfigdir}/gdkmm-3.0.pc
%{_pkgconfigdir}/gtkmm-3.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgdkmm-3.0.a
%{_libdir}/libgtkmm-3.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/gtkmm-3.0
%{_datadir}/devhelp/books/gtkmm-3.0
%changelog
* Sat Jul 15 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtkmm3.git;a=log;h=master

* Sat Jul 15 2017 Jakub Bogusz <qboosh@pld-linux.org> c7cf39f
- updated to 3.22.1

* Sat Dec 03 2016 Jakub Bogusz <qboosh@pld-linux.org> ef8910d
- updated to 3.22.0

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 928477e
- updated to 3.20.1

* Wed Sep 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 70058bc
- updated to 3.18.0; C++11 now

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 971f373
- release 2 (by relup.sh)

* Mon Mar 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> e6f6eec
- updated to 3.16.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> cae4e12
- x32 rebuild
- release 2 (by relup.sh)

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 76cf7ea
- updated to 3.14.0

* Tue Apr 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 3a3b0c2
- updated to 3.12.0

* Sun Mar 30 2014 Elan Ruusamäe <glen@delfi.ee> 222a6ef
- noarch apidocs

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 484e5b9
- updated to 3.10.1

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> a4ed03e
- updated to 3.10.0

* Sun Jun 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 3ec8034
- updated to 3.8.1

* Thu Apr 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 5bdd83f
- updated to 3.8.0

* Tue Oct 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 362eec7
- updated to 3.6.0

* Tue Oct 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 87b7d08
- updated to 3.4.2

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 869b1f3
- updated to 3.4.1

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> e3273d6
- updated to 3.4.0

* Thu Oct 13 2011 Jakub Bogusz <qboosh@pld-linux.org> b4b481d
- more versioned install time dependencies

* Fri Sep 30 2011 Artur Frysiak <artur@frysiak.net> e34bbb2
- up to 3.2.0

